﻿using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win.UltraWinSchedule.TimelineView;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraTimelineView_Appointment_Style_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //Appointment の作成
            Appointment appointment = 
                this.ultraCalendarInfo1.Appointments.Add(
                    DateTime.Today, "Appointment"
                );

            //Appointment.Appearance プロパティを利用し、予定の外観を制御する。
            //背景色を変更する。
            appointment.Appearance.BackColor = Color.LightPink;

            //Appointment を UltraTimelineView に割り当てる。
            this.ultraCalendarInfo1.Appointments.Add(appointment);
            this.ultraTimelineView1.CalendarInfo = this.ultraCalendarInfo1;
        }
    }
}
